Il faudrait optimiser la section des modules et mettre à jour les liens des dépendances! En cours

Michel Remacle · le 28/11/13 à 11:47

Je trouve cela très difficile de trouver le bon module pour la bonne version de JCMS!!

Au lieu d'avoir UN seul module avant une section téléchargement qui reprends toutes les versions dudit module triées selon les  versions de JCMS, on a 36 modules de versions différentes et on ne s'y retrouve pas.

Exemple concret, il y a plusieurs module blog dans "apps" et on n'est jamais sûr d'avoir trouvé le bon. Il faut parcourir tout le site et retenir le numéro de version le plus élevé pour être sûr d'avoir la dernière.

De plus, si on cherche "blog", on tombe sur Blog 6.1, puis sur Blog 7.1, puis sur Blog 5.0... pas pratique! Qui dit qu'il n'y a pas un Blog 7.2 sur la page suivante des résultats de recherche?

Et la cerise sur le gâteau, quand on a compris (j'espère) qu'il fallait prendre le Blog 7.1 et qu'on veut télécharger le module dépendant "DB Commentaires", on a droit à un lien vers la version 1.0 pour JCMS ... 6!

Donc il faut une fois de plus fouiller le site pour trouver la dernière version compatible JCMS 8, en l'occurance 4.1 (j'epsère...)

12 pts
Ronan Kerdudou · le 28/11/13 à 16:18

Bonjour,

Nous avons déjà prévu de améliorations en ce sens, nous les mettrons en ligne prochainement.

En attendant ces évolutions, le plus simple pour obtenir la dernière version d'un module pour une version donnée de JCMS est d'aller dans "Produits" sur la version exacte de JCMS et d'afficher l'ensemble des modules via la colonne centrale "Apps" ("pagination" -> "tout en une page")

Sinon, depuis la section "Apps" le champs recherche dans la ligne des critères dispose d'une fonction d'auto complétion. Commencez à y saisir le nom du module souhaité et sélectionnez simplement le numéro de version le plus élevé (pour JCMS 8).

Cordialement,

#1

Merci pour votre réponse.

Pour la première solution, si je fais ça, je ne trouve pas le module blog dans la liste. C'est tronqué trop court. Pour la deuxième solution, c'est déjà mieux, mais vu que le tri est bizarre c'est quand même pas top.

Vivement la future version :)

Michel Remacle · le 28/11/13 à 16:22
#2

Je viens de corriger un paramétrage qui impactait l'affichage d'une dizaine de modules sur la version 8 sp2 de JCMS, la liste proposée en "première solution" est désormais complète.

Merci pour votre remarque.

Ronan Kerdudou · le 28/11/13 à 17:06
#3

Mais y'a pas de quoi :)

Michel Remacle · le 29/11/13 à 14:00
1 pt
Xavier Masia · le 29/11/13 à 18:49

Dans la rubrique "Apps", vous cherchez le module souhaité en filtrant sur la version JCMS cible. Si votre module n'est pas présent dans votre version JCMS cible, vous remontez sur les précédentes versions de maintenance (service pack). Comme maintenant, les modules dépendent d'une version de maintenance, il nous semblait important d'avoir une "photo" à un instant t, pour une version de maintenance donnée, des modules à upgrader. 

A noter également le lien "Liste des modules" dans la page "Produit". Des partenaires nous avaient demandé de remettre une page qui liste les derniers modules mis à disposition, triés par date de publication descendante. 

Nous passons votre idée en état "planifié". 

1 pt
Pascale Leroy · le 16/08/16 à 12:24

Bonjour,

Voilà un point de vue utilisateur : sur la page /admin/pluginManager.jsp il faudrait que ça clignote quand on n'a pas la denière version d'un plugin (idéalement compatible avec la version de JCMS utilisée).

Je préfère utiliser votre site pour découvrir de nouveaux plugin, échanger avec d'autres utilisateurs ou poster des tickets.

Merci

2 pts